Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.signing.signatory
[Groovy] Interface SignatoryProvider

    interface SignatoryProvider

Provides implementations of signatory implementations for a project.

Method Summary
`void` | `configure(SigningExtension settings, Closure closure)` Evaluates the given DSL-containing-closure as signatory configuration.
`Object` | `getDefaultSignatory(Project project)`
`Object` | `getSignatory(String name)` Retrieves the signatory with the given name.

Method Detail

### configure

    void configure(SigningExtension settings, Closure closure)

  Evaluates the given DSL-containing-closure as signatory configuration.
  Parameters:
    `settings` - The signing settings for the project the configure is happening for

### getDefaultSignatory

    Object getDefaultSignatory(Project project)

  Attempts to create a signatory for the project that will be used everywhere something is to be signed and an explicit signatory has not been set (for the task/operation).

  This may be called multiple times and the implementor is free to return a different instance if the project state has changed in someway that influences the default signatory.

  Parameters:
    `project` - The project which the signatory is for
  Returns:
    The signatory, or `null` if there is insufficient information available to create one.

### getSignatory

    Object getSignatory(String name)

  Retrieves the signatory with the given name.
  Parameters:
    `name` - The desired signatory's name.
  Returns:
    The signatory with the given name if found, or `null` if no signatory is found with this name.

Gradle API 1.1-rc-1